Package org.eclipse.m2m.atl.emftvm.compiler

## Class AtlResourceImpl.ATLIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.m2m.atl.emftvm.compiler.AtlResourceImpl.ATLIOException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  AtlResourceImpl

    public static class AtlResourceImpl.ATLIOException
    extends java.io.IOException

`IOException` with nested `Exception`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ATLIOException()` Creates a new `AtlResourceImpl.ATLIOException`.
`ATLIOException​(java.lang.String message)` Creates a new `AtlResourceImpl.ATLIOException`.
`ATLIOException​(java.lang.String message, java.lang.Throwable cause)` Creates a new `AtlResourceImpl.ATLIOException`.
`ATLIOException​(java.lang.Throwable cause)` Creates a new `AtlResourceImpl.ATLIOException`.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ATLIOException

    public ATLIOException()

Creates a new `AtlResourceImpl.ATLIOException`.

#### ATLIOException

    public ATLIOException​(java.lang.String message,
                          java.lang.Throwable cause)

Creates a new `AtlResourceImpl.ATLIOException`.

Parameters:
  `message` - the error message
  `cause` - the nested exception

#### ATLIOException

    public ATLIOException​(java.lang.String message)

Creates a new `AtlResourceImpl.ATLIOException`.

Parameters:
  `message` - the error message

#### ATLIOException

    public ATLIOException​(java.lang.Throwable cause)

Creates a new `AtlResourceImpl.ATLIOException`.

Parameters:
  `cause` - the nested exception